/*
	Company:            Sensaura
	Copyright:          (C) 1998

	File Name:		    sensaura.h
	File Description:	Header file for definition of Sensaura-specific DirectSound functions
	Author:			    Adam Philp
	File Version:	    1.01.000
	Last Update:		30-OCT-98

	Target Compiler:	Microsoft Visual C++ Version 5.0
*/

#ifndef __sensaura_h					// Sentry, use file only if it's not already included
#define __sensaura_h

///////////////////////	Included files ////////////////////////////////////////////////////////////


#include <dsound.h>

///////////////////////	Definitions ///////////////////////////////////////////////////////////////

DEFINE_GUID(DSPROPSETID_DirectSoundSensaura,		// GUID for Sensaura property set
			0x24A4A6C0,					// {24a4a6c0-900d-11d1-b9d1-d9d09bde7e20}
			0x900D,						// Used to determine whether the sound card is a 
			0x11D1,						// Sensaura card 
			0xB9, 0xD1, 0xD9, 0xD0, 0x9B, 0xDE, 0x7E, 0x20);

///////////////////////	Functions /////////////////////////////////////////////////////////////////

bool SensauraCreate(LPDIRECTSOUND*,	HINSTANCE, bool bSearchCards = false);

#endif									// End of sentry __sensaura_h
